# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class AddressScopeSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.AddressScope
        fields = '__all__'


class AddressScopeSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.AddressScope
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class AddressScopeSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.AddressScope
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')
